import request from '@/utils/request'

// 门店列表列表
export function apiSystemStoreLists(params: any) {
    return request.get({ url: '/system_store/systemstore/lists', params })
}

// 添加门店列表
export function apiSystemStoreAdd(params: any) {
    return request.post({ url: '/system_store/systemstore/add', params })
}

// 编辑门店列表
export function apiSystemStoreEdit(params: any) {
    return request.post({ url: '/system_store/systemstore/edit', params })
}

// 删除门店列表
export function apiSystemStoreDelete(params: any) {
    return request.post({ url: '/system_store/systemstore/delete', params })
}

// 门店列表详情
export function apiSystemStoreDetail(params: any) {
    return request.get({ url: '/system_store/systemstore/detail', params })
}

// 根据商品来源获取门店
export function apiSourceProductStoreLists(params: any) {
    return request.get({ url: '/system_store/systemstore/source_product_store_lists', params })
}

// 根据商品来源更新门店
export function apiSourceProductUpdateStore(params: any) {
    return request.post({ url: '/system_store/systemstore/source_product_update_store', params })
}

// 根据商品编辑门店库存
export function apiStoreBranchProductEdit(params: any) {
    return request.post({ url: '/store_branch_product/StoreBranchProduct/edit', params })
}

// 根据商品编辑门店库存
export function apiStoreBranchProductEditPrice(params: any) {
    return request.post({ url: '/store_branch_product/StoreBranchProduct/edit_price', params })
}

// 运营概况-头部统计
export function apiSystemStoreStatisticsHeader(params: any) {
    return request.get({ url: '/system_store/SystemStoreStatistics/header', params })
}

// 运营概况-营业趋势
export function apiSystemStoreStatisticsOperate(params: any) {
    return request.get({ url: '/system_store/SystemStoreStatistics/operate', params })
}

// 运营概况-交易/类型数据
export function apiSystemStoreStatisticsOrderChart(params: any) {
    return request.get({ url: '/system_store/SystemStoreStatistics/orderChart', params })
}

// 运营概况-门店业绩
export function apiSystemStoreStatisticsStore(params: any) {
    return request.get({ url: '/system_store/SystemStoreStatistics/store', params })
}

// 门店交易统计
export function apiWorkbenchStoreIndex(params: any) {
    return request.get({ url: '/workbench/store_index', params })
}